package com.lifepay.pinpaddemo.activities.pinpad;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.RadioButton;

import com.lifepay.pinpaddemo.R;

import java.util.List;

public class BluetoothDeviceAdapter extends ArrayAdapter<String> {
	private Context context;

	int selectedIndex = -1;

	public void setDeviceNames(List<String> list) {
		this.list = list;
	}

	private List<String> list;

	public BluetoothDeviceAdapter(Context context, List<String> list) {
		super(context, 0, list);
		this.list = list;
		this.context = context;
	}

	public void updateSelectedPosition(int position){
		selectedIndex = position;
		notifyDataSetChanged();
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		// TODO Auto-generated method stub
		ViewHolder holder;
		View rowView = convertView;
		if (rowView == null) {
			LayoutInflater inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
			rowView = inflater.inflate(R.layout.bluetooth_item_list, null);

			holder = new ViewHolder();
			holder.rbTitle = (RadioButton) rowView.findViewById(R.id.rbTitle);

			rowView.setTag(holder);

		} else {
			holder = (ViewHolder) rowView.getTag();
		}
		holder.rbTitle.setText(list.get(position));

		if(selectedIndex == position){
			holder.rbTitle.setChecked(true);
		}
		else{
			holder.rbTitle.setChecked(false);
		}

		return rowView;
	}

	static class ViewHolder {
		RadioButton rbTitle;
	}
}